[arch-commits] Commit in k3b/repos (3 files)

Ronald van Haren ronald at archlinux.org
Wed Oct 22 03:21:49 EDT 2008


    Date: Wednesday, October 22, 2008 @ 03:21:49
  Author: ronald
Revision: 16805

Merged revisions 16635-16636 via svnmerge from 
svn+ssh://archlinux.org/home/svn-packages/k3b/trunk

........
  r16635 | ronald | 2008-10-21 22:14:54 +0200 (Tue, 21 Oct 2008) | 1 line
  
  upgpkg: k3b 1.0.5-2
........
  r16636 | ronald | 2008-10-21 22:30:09 +0200 (Tue, 21 Oct 2008) | 1 line
  
  set myself as maintainer
........

Modified:
  k3b/repos/extra-x86_64/	(properties)
  k3b/repos/extra-x86_64/PKGBUILD
  k3b/repos/extra-x86_64/k3b.install

-------------+
 PKGBUILD    |   13 +++++++------
 k3b.install |   12 ------------
 2 files changed, 7 insertions(+), 18 deletions(-)


Property changes on: k3b/repos/extra-x86_64
___________________________________________________________________
Name: svnmerge-integrated
   - /k3b/trunk:1-6420
   + /k3b/trunk:1-16804

Modified: extra-x86_64/PKGBUILD
===================================================================
--- extra-x86_64/PKGBUILD	2008-10-22 05:52:40 UTC (rev 16804)
+++ extra-x86_64/PKGBUILD	2008-10-22 07:21:49 UTC (rev 16805)
@@ -1,31 +1,32 @@
 # $Id$
+# Maintainer: Ronald van Haren
 # Contributor: jlvsimoes
-# Maintainer: damir <damir at archlinux.org>
+# Contributor: damir <damir at archlinux.org>
 
 pkgname=k3b
 pkgver=1.0.5
-pkgrel=1
+pkgrel=2
 depends=('cdrdao' 'cdrkit' 'cdparanoia' 'kdelibs3' 'libsamplerate' 'lame' 'libidn' 'libmad'
 	 'normalize' 'sox' 'hal>=0.5.8.1-6' 'ffmpeg>=20070131' 'musicbrainz' 'libart-lgpl'
 	 'taglib>=1.4' 'libmpcdec>=1.2.5' 'libdvdread' 'dbus-qt3' 'flac>=1.2.0' 'libvorbis')
 pkgdesc="Feature-rich and easy to handle CD burning application"
 arch=("i686" "x86_64")
 license=('GPL')
-install=k3b.install
+install=$pkgname.install
 source=(http://downloads.sourceforge.net/sourceforge/k3b/${pkgname}-${pkgver}.tar.bz2)
 
 url="http://k3b.sourceforge.net/"
+md5sums=('e3b37d0d009af3dd149215d6ae0d54f3')
 
 build() {
   . /etc/profile.d/qt3.sh
   . /etc/profile.d/kde3.sh
-  cd ${startdir}/src/${pkgname}-${pkgver}
+  cd ${srcdir}/${pkgname}-${pkgver}
   ./configure --prefix=/opt/kde --enable-mt --disable-debug \
   		--enable-debug=no --with-k3bsetup=no \
 		--without-cdrecord-suid-root \
 		--enable-ffmpeg-all-codecs --without-arts
   make || return 1
-  make DESTDIR=${startdir}/pkg install
+  make DESTDIR=${pkgdir} install || return 1
 }
 
-md5sums=('e3b37d0d009af3dd149215d6ae0d54f3')

Modified: extra-x86_64/k3b.install
===================================================================
--- extra-x86_64/k3b.install	2008-10-22 05:52:40 UTC (rev 16804)
+++ extra-x86_64/k3b.install	2008-10-22 07:21:49 UTC (rev 16805)
@@ -1,20 +1,8 @@
-# arg 1:  the new package version
 post_install() {
   echo "k3b: If you have a DVD-Burner, you should install 'dvd+rw-tools' "
 }
 
-# arg 1:  the new package version
-# arg 2:  the old package version
 post_upgrade() {
   echo "k3b: If you have a DVD-Burner, you should install 'dvd+rw-tools' "
 }
 
-# arg 1:  the old package version
-pre_remove() {
-  /bin/true
-}
-
-op=$1
-shift
-
-$op $*




More information about the arch-commits mailing list